Reads bytes from a file descriptor

- « dio_open

- dio_seek »

- PHP Manual
- Direct IO Functions
- Reads bytes from a file descriptor

# dio_read

(PHP 4 >= 4.2.0, PHP 5 < 5.1.0)

dio_read — Reads bytes from a file descriptor

### Description

dio_read(resource `$fd`, int `$len` = 1024): string

The function dio_read() reads and returns `len` bytes from file with descriptor `fd`.

### Parameters

`fd`

  The file descriptor returned by dio_open().

`len`

  The number of bytes to read. If not specified, dio_read() reads 1K sized block.

### Return Values

The bytes read from `fd`.

### See Also

- dio_write() - Writes data to fd with optional truncation at length